Page MenuHomePhabricator

Enable Content Translation new article campaign (beta feature invitation) on cawiki
Closed, ResolvedPublic1 Story Points

Description

Deployment of the feature developed in T89701 with event logging included.

When user reached action=edit on a page which does not exist, we will show a notification for the user to try Content Translation (unless the beta feature is already enabled). The notice is only shown once (stored in cookie if declined or CX preference is enabled).

Event Timeline

Nikerabbit updated the task description. (Show Details)
Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2015, 3:12 PM
santhosh triaged this task as Normal priority.Mar 2 2015, 5:30 AM
santhosh assigned this task to KartikMistry.
santhosh added a subscriber: santhosh.
Arrbee edited projects, added LE-Sprint-84; removed LE-Sprint-83.Mar 11 2015, 5:41 AM
Arrbee set Security to None.
santhosh edited a custom field.Mar 11 2015, 7:25 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-84 board.Mar 24 2015, 8:05 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-85 board.Apr 1 2015, 8:24 AM

Change 197491 had a related patch set uploaded (by KartikMistry):
CX: Enable newarticle campaign in cawiki and eswiki

https://gerrit.wikimedia.org/r/197491

Pginer-WMF renamed this task from Enable edit page entry point to Enable edit page entry point (beta feature invitation).
Nikerabbit renamed this task from Enable edit page entry point (beta feature invitation) to Enable Content Translation new article campaign (beta feature invitation).Apr 1 2015, 8:44 AM
Nikerabbit updated the task description. (Show Details)
Nikerabbit added projects: Notice, Roadmap.

Note: We're enabling newarticle campaign for cawiki first and then need to decide for other wikis next week.

gpaumier moved this task from Backlog to Triaged on the Notice board.
Eloquence renamed this task from Enable Content Translation new article campaign (beta feature invitation) to Enable Content Translation new article campaign (beta feature invitation) on cawiki.Apr 2 2015, 7:47 PM
Eloquence closed this task as Resolved.
Eloquence added a subscriber: Eloquence.

Please create new tasks for future deployments so they can be tracked on the roadmap.

KartikMistry moved this task from In Review to Done on the LE-Sprint-85 board.Apr 3 2015, 5:33 AM
Qgil added a subscriber: Qgil.Apr 6 2015, 5:13 PM

It works. :)

(But why only action=edit and not veaction=edit as well? Content Translator feels more VE than wikitext.)

Nikerabbit added a comment.EditedApr 7 2015, 10:56 AM

veaction=edit is implemented differently than action=edit and we assume latter is still the main way to create new articles. Having said that, Santhosh already created a task to support veaction=edit as well.

gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:45 PM